/*
 * $Id: identity.c,v 1.2 1999/03/16 20:23:57 rgb Exp $
 *
 * procstatd - Copyright (c) 1999 by Robert G. Brown, rgb@phy.duke.edu
 *         GPL version 2b (b for beverage) granted.
 *
 * THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 * EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 *
 * procstatd - A daemon to extract statistics from /proc/stat and publish them
 *         on demand via a socket connection or broadcast.
 */

#include "procstatd.h"

/*
 * Set hostname and IP number for the node at the init stage, ignore
 * get/eval attempts (but keep the stubs for symmetry).
 */

void init_identity()
{

 int i,numfields;

 /* IDENT */
 sprintf(stats[IDENT].name,"ident=%s=%s",hostname,hostip);		/* Label it. */
 stats[IDENT].source = SYS_DATA;		/* Tag its source for xref */
 stats[IDENT].avail = 1;			/* Yes, we found it */
 stats[IDENT].current = 0;		/* current value (eth0) */

}  /* End init_identity() */

void get_identity()
{

  /* Dummy routine.  Identity never changes.  We hope. */

} /* End get_indentity() */

void eval_identity()
{

  /* Dummy routine.  Identity never changes.  We hope. */

} /* End eval_time() */
